<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(url('storage/admin-assets/css/datatables/dataTables.bootstrap5.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('storage/admin-assets/css/datatables/buttons.dataTables.min.css')); ?>">
    <!-- Datatables CSS -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <h5 class="text-uppercase"><?php echo e(trans('labels.transaction')); ?></h5>
                <div class="card border-0 my-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped py-3 w-100" id="transaction">
                                <thead>
                                    <tr class="text-uppercase fw-500">
                                        <td>#</td>
                                        <?php if(Auth::user()->type == 1): ?>
                                            <td><?php echo e(trans('labels.vendor_name')); ?></td>
                                        <?php endif; ?>
                                        <td><?php echo e(trans('labels.plan_name')); ?></td>
                                        <td><?php echo e(trans('labels.amount')); ?></td>
                                        <td><?php echo e(trans('labels.payment_type')); ?></td>
                                        <td><?php echo e(trans('labels.start_date')); ?></td>
                                        <td><?php echo e(trans('labels.end_date')); ?></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    <?php $__currentLoopData = $transaction; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transactiondata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($transactiondata->vendor_id == Auth::user()->id || Auth::user()->type == '1'): ?>
                                            <tr class="fs-7">
                                                <td><?php echo $i++; ?></td>
                                                <?php if(Auth::user()->type == 1): ?>
                                                    <td><?php echo e($transactiondata['users_info']->name); ?></td>
                                                <?php endif; ?>
                                                <td><?php echo e($transactiondata['plans_info']->name); ?></td>
                                                <td><?php echo e(helper::currency_format($transactiondata->amount)); ?></td>
                                                <td><?php echo e($transactiondata['paymentmethod_info']->payment_name); ?> : <?php echo e($transactiondata->payment_id); ?></td>
                                                <td><?php echo e(helper::date_format($transactiondata->created_at)); ?></td>
                                                <?php
                                                    $now = date('Y-m-d');
                                                    if ($transactiondata['plans_info']->duration == '1') {
                                                        $purchasedate = date('Y-m-d', strtotime($transactiondata['users_info']->purchase_date));
                                                        $exdate = date('Y-m-d', strtotime($purchasedate . ' +30 days'));
                                                    }
                                                    if ($transactiondata['plans_info']->duration == '2') {
                                                        $purchasedate = date('Y-m-d', strtotime($transactiondata['users_info']->purchase_date));
                                                        $exdate = date('Y-m-d', strtotime($purchasedate . ' +90 days'));
                                                    }
                                                    if ($transactiondata['plans_info']->duration == '3') {
                                                        $purchasedate = date('Y-m-d', strtotime($transactiondata['users_info']->purchase_date));
                                                        $exdate = date('Y-m-d', strtotime($purchasedate . ' +180 days'));
                                                    }
                                                    if ($transactiondata['plans_info']->duration == '4') {
                                                        $purchasedate = date('Y-m-d', strtotime($transactiondata['users_info']->purchase_date));
                                                        $exdate = date('Y-m-d', strtotime($purchasedate . ' +365 days'));
                                                    }
                                                ?>
                                                <td><?php echo e(helper::date_format($exdate)); ?></td>
                                            </tr>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/jquery.dataTables.min.js')); ?>"></script><!-- Datatables JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/dataTables.bootstrap5.min.js')); ?>"></script><!-- Datatables Bootstrap5 JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/dataTables.buttons.min.js')); ?>"></script><!-- Datatables Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/jszip.min.js')); ?>"></script><!-- Datatables Excel Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/pdfmake.min.js')); ?>"></script><!-- Datatables Make PDF Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/vfs_fonts.js')); ?>"></script><!-- Datatables Export PDF Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/buttons.html5.min.js')); ?>"></script><!-- Datatables Buttons HTML5 JS -->
    <script>
        $(document).ready(function() {
            "use strict";
            $('#transaction').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excelHtml5',
                    'pdfHtml5'
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/transaction/transaction.blade.php ENDPATH**/ ?>